package com.unitesk.requality.core;

public class TreeNodeChangeEvent {
	public enum TreeNodeChangeEventType{CREATE,CHANGE,DELETE,MOVE}
	private TreeNodeChangeEventType type;
	private Object target;
	private Object[] args;
	public TreeNodeChangeEvent(TreeNodeChangeEventType tp, Object targ, Object... arg){
		type = tp;
		target = targ;
		args = arg;
	}
	public TreeNodeChangeEventType getType(){
		return type;
	}
	public Object[] getArguments(){
		return args;
	}
	public TreeNode getTreeNodeTarget(){
		if(target instanceof TreeNode)
			return(TreeNode)target;
		return null;
	}
	public NodeDesc getNodeDescTarget(){
		if(target instanceof NodeDesc)
			return(NodeDesc)target;
		return null;
	}
	@Override 
	public String toString(){
		return type+" "+target.toString()+" "+args.length+" "+args;
	}
}
