/*
 * Copyright 2011 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.unitesk.requality.documents;

import java.io.IOException;

import com.unitesk.requality.core.TreeNode;
import com.unitesk.requality.nodetypes.Document;

// TODO: (document processor) user's arguments
public interface IDocumentProcessor {
    void setEncoding(String encoding);
    void process(String docId, TreeNode rootNode) throws IOException;
    public boolean configure(Document doc);
}
