package com.unitesk.requality.tests;

import java.util.HashMap;
import java.util.Map;

public class TreeNodeCoverageInfo {
	private String targetQid;
	private Map<String,Integer> tests = new HashMap<String,Integer>();
	private Integer cntAll = null;
	public void setTarget(String nodeValue) {
		targetQid = nodeValue;
	}
	public String getTargetQid() {
		return targetQid;
	}
	public void setCntAll(int parseInt) {
		cntAll = parseInt;
	}
	public int getCntAll() {
		if(cntAll != null)
			return cntAll;
		int cnt = 0;
		for(int i:tests.values())
			cnt+=i;
		return cnt;
	}
	public void registerTest(String path, int cnt) {
		if(tests.containsKey(path))
			cnt += tests.get(path);
		tests.put(path, cnt);
	}
	public String[] getTestPaths(){
		return tests.keySet().toArray(new String[0]);
	}

	public Integer[] getTestCounts(){
		return tests.values().toArray(new Integer[0]);
	}
}
